com.sun.grid.jgdi.configuration

## Class EventSubcribtionImpl

- java.lang.Object
- - com.sun.grid.jgdi.configuration.GEObjectImpl
  - - com.sun.grid.jgdi.configuration.EventSubcribtionImpl

- All Implemented Interfaces:
    EventSubcribtion, GEObject, java.io.Serializable, java.lang.Cloneable

      public class EventSubcribtionImpl
      extends GEObjectImpl
      implements EventSubcribtion

  Java representation of the cull object EVS_Type defined in sge_all_listsL.template

  Warning: The EventSubcribtionImpl class will not be compatible with future Sun™ Grid Engine releases.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventSubcribtionImpl()` Create a new instance of EventSubcribtionImpl.
    `EventSubcribtionImpl(boolean initWithDefaultValues)` Create a new instanceof

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `dump()`
    `boolean` | `equals(java.lang.Object obj)` Is the primary key information equal to the primary key information of `obj`.
    `boolean` | `equalsCompletely(java.lang.Object obj)`
    `int` | `getId()` Get the value of the id attribute.
    `int` | `getInterval()` Get the value of the interval attribute.
    `boolean` | `isFlush()` Get the value of the flush attribute.
    `boolean` | `isSetFlush()` Determine if the flush attribute is set
    `boolean` | `isSetId()` Determine if the id attribute is set
    `boolean` | `isSetInterval()` Determine if the interval attribute is set
    `void` | `setFlush(boolean aFlush)` Set the flush attribute.
    `void` | `setId(int aId)` Set the id attribute.
    `void` | `setInterval(int aInterval)` Set the interval attribute.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.sun.grid.jgdi.configuration.GEObjectImpl

      `getName, getParent, getPathName, getRoot, setName, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `getName, getParent`

- - ### Constructor Detail

    - #### EventSubcribtionImpl

          public EventSubcribtionImpl()

      Create a new instance of EventSubcribtionImpl. The new instance will not be initialized with the default values.

    - #### EventSubcribtionImpl

          public EventSubcribtionImpl(boolean initWithDefaultValues)

      Create a new instanceof
      Parameters:
        `initWithDefaultValues` - if `true` the new instance will be initialized with the default values as defined in the cull definition.

  - ### Method Detail

    - #### isSetId

          public boolean isSetId()

      Determine if the id attribute is set
      Specified by:
        `isSetId` in interface `EventSubcribtion`
      Returns:
        `true` if the id attribute is set

    - #### setId

          public void setId(int aId)

      Set the id attribute.
      Specified by:
        `setId` in interface `EventSubcribtion`
      Parameters:
        `aId` - the new value for the id attribute

    - #### getId

          public int getId()

      Get the value of the id attribute.
      Specified by:
        `getId` in interface `EventSubcribtion`
      Returns:
        the value of the id attribute

    - #### isSetFlush

          public boolean isSetFlush()

      Determine if the flush attribute is set
      Specified by:
        `isSetFlush` in interface `EventSubcribtion`
      Returns:
        `true` if the flush attribute is set

    - #### setFlush

          public void setFlush(boolean aFlush)

      Set the flush attribute.
      Specified by:
        `setFlush` in interface `EventSubcribtion`
      Parameters:
        `aFlush` - the new value for the flush attribute

    - #### isFlush

          public boolean isFlush()

      Get the value of the flush attribute.
      Specified by:
        `isFlush` in interface `EventSubcribtion`
      Returns:
        the value of the flush attribute

    - #### isSetInterval

          public boolean isSetInterval()

      Determine if the interval attribute is set
      Specified by:
        `isSetInterval` in interface `EventSubcribtion`
      Returns:
        `true` if the interval attribute is set

    - #### setInterval

          public void setInterval(int aInterval)

      Set the interval attribute.
      Specified by:
        `setInterval` in interface `EventSubcribtion`
      Parameters:
        `aInterval` - the new value for the interval attribute

    - #### getInterval

          public int getInterval()

      Get the value of the interval attribute.
      Specified by:
        `getInterval` in interface `EventSubcribtion`
      Returns:
        the value of the interval attribute

    - #### equals

          public boolean equals(java.lang.Object obj)

      Is the primary key information equal to the primary key information of `obj`.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the compared object
      Returns:
        `true` if the primary key information is equal to the primary key informations of `obj`.

    - #### equalsCompletely

          public boolean equalsCompletely(java.lang.Object obj)

      Specified by:
        `equalsCompletely` in interface `GEObject`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          public java.lang.String dump()

      Specified by:
        `dump` in interface `EventSubcribtion`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.